---
title: WebGLRenderingContext.getExtension()
slug: Web/API/WebGLRenderingContext/getExtension
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <code><strong>WebGLRenderingContext.getExtension()</strong></code> method enables a <a href="/en-US/docs/Web/API/WebGL_API">WebGL</a> extension.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var><em>gl</em></var>.getExtension(name);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>name</dt>
 <dd>A {{jsxref("String")}} for the name of the WebGL extension to enable.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A WebGL extension object, or {{jsxref("null")}} if name does not match (case-insensitive) to one of the strings in {{domxref("WebGLRenderingContext.getSupportedExtensions")}}.</p>

<h2 id="Examples">Examples</h2>

<p>Once a WebGL extension is enabled, you are able to use the methods, properties or constants that this extension object provides.</p>

<pre class="brush: js">var canvas = document.getElementById('canvas');
gl = canvas.getContext('webgl');

gl.getExtension('WEBGL_lose_context').loseContext();
</pre>

<h2 id="WebGL_extensions">WebGL extensions</h2>

<p>Extensions for the WebGL API are registered in the <a href="https://www.khronos.org/registry/webgl/extensions/">WebGL Extension Registry</a>. The current extensions are:</p>

<p>{{page("en-US/docs/Web/API/WebGL_API", "Extensions")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebGL", "#5.14.14", "WebGLRenderingContext.getExtension")}}</td>
   <td>{{Spec2("WebGL")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WebGLRenderingContext.getExtension")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.getSupportedExtensions()")}}</li>
 <li><a href="http://webglreport.com">webglreport.com</a></li>
</ul>
